> ## Documentation Index
> Fetch the complete documentation index at: https://docs.devin.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# エンタープライズのセキュリティプロファイル設定を更新

> エンタープライズのデフォルトのセキュリティプロファイルの選択設定を更新します。
省略されたフィールドは変更されません。固定できるのは、エンタープライズが所有するプロファイルのみです。

エンタープライズのデフォルト設定として選択されているセキュリティプロファイルを更新し、更新後の設定を返します。

## 権限

エンタープライズレベルで `ManageAccountSecureModeProfiles` 権限を持つ[サービスユーザー](https://docs.devin.ai/ja/api-reference/v3/service-users/members-service-users.md)または[個人用アクセストークン](https://docs.devin.ai/ja/api-reference/personal-access-tokens.md)が必要です。Enterprise アカウントでのみ利用できます。

## 動作

* 省略したフィールドは変更されません。`null` は拒否されます。デフォルトをクリアするには、`{"default": {"selection": "none"}}` を送信してください。
* `profile_id` は、`selection` が `profile` の場合は必須で、それ以外の場合は省略する必要があります。固定できるのはエンタープライズが所有するプロファイルのみです。
* 必須のエンタープライズのデフォルト設定は最低限の基準となります。組織、自動化、セッションはこれをさらに制限することしかできません。詳しくは、[必須と推奨の適用](https://docs.devin.ai/ja/product-guides/security-profiles.md#mandatory-vs-recommended-enforcement)を参照してください。
* 実行中のセッションには、次回の起動時または復帰時に変更が反映されます。


## OpenAPI

````yaml ja/v3-openapi.yaml PATCH /v3beta1/enterprise/security-profile-settings
openapi: 3.1.0
info:
  description: Service User 認証および RBAC に対応した Devin v3 API
  title: Devin API v3
  version: 3.0.0
servers: []
security:
  - bearerAuth: []
paths:
  /v3beta1/enterprise/security-profile-settings:
    patch:
      tags:
        - security-profiles
      summary: エンタープライズのセキュリティプロファイル設定を更新
      description: |-
        エンタープライズのデフォルトのセキュリティプロファイルの選択設定を更新します。
        省略されたフィールドは変更されません。固定できるのは、エンタープライズが所有するプロファイルのみです。
      operationId: >-
        handle_update_security_profile_settings_v3beta1_enterprise_security_profile_settings_patch
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/EnterpriseSecurityProfileSettingsUpdateRequest
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EnterpriseSecurityProfileSettingsResponse'
          description: 成功レスポンス
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
          description: 認証されていません
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
          description: アクセスが禁止されています
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
          description: 見つかりません
        '409':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
          description: 競合
        '410':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
          description: 削除済み
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
          description: 処理できないコンテンツ
        '429':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
          description: リクエスト過多
components:
  schemas:
    EnterpriseSecurityProfileSettingsUpdateRequest:
      additionalProperties: false
      description: PATCH の動作：省略されたフィールドは変更されません。
      properties:
        default:
          anyOf:
            - $ref: '#/components/schemas/EnterpriseSecurityProfileDefaultSelection'
            - type: 'null'
      title: EnterpriseSecurityProfileSettingsUpdateRequest
      type: object
    EnterpriseSecurityProfileSettingsResponse:
      additionalProperties: false
      properties:
        default:
          $ref: '#/components/schemas/EnterpriseSecurityProfileDefaultState'
      required:
        - default
      title: EnterpriseSecurityProfileSettingsResponse
      type: object
    ProblemDetail:
      description: >-
        v3 API 用の RFC 9457 application/problem+json エラーボディ。


        detail は後方互換性のため、レガシーな {"detail": ...}
        ボディから引き継がれます。その他のメンバーは追加式です。errors にはフィールドレベルのバリデーションエラーが含まれます（422
        の場合のみ）。
      properties:
        detail:
          anyOf:
            - type: string
            - type: 'null'
          description: この事象に固有の、人が読める説明。
          title: Detail
        error_code:
          anyOf:
            - type: string
            - type: 'null'
          description: ブロックされた操作の拒否理由を示す機械可読コード（例："user_frozen"、"migrated_session"）。
          title: Error Code
        errors:
          anyOf:
            - items:
                additionalProperties: true
                type: object
              type: array
            - type: 'null'
          description: フィールド単位のバリデーションエラー（422 レスポンスのみ）。
          title: Errors
        instance:
          anyOf:
            - type: string
            - type: 'null'
          description: この発生箇所の URI 参照（リクエストパス）。
          title: Instance
        status:
          description: HTTP ステータスコード。
          title: Status
          type: integer
        title:
          description: 問題タイプを人が読める短い要約。
          title: Title
          type: string
        type:
          default: about:blank
          description: 問題タイプを識別する URI 参照。
          title: Type
          type: string
      required:
        - title
        - status
      title: ProblemDetail
      type: object
    EnterpriseSecurityProfileDefaultSelection:
      additionalProperties: false
      description: >-
        none（デフォルトプロファイルなし）または profile（profile_id
        で指定したプロファイルに固定）の2つの状態を持つデフォルト設定。

        エンタープライズレベルには ``inherit`` はありません。

        継承元となる上位の階層がないためです。
      properties:
        profile_id:
          anyOf:
            - type: string
            - type: 'null'
          description: selection が 'profile' の場合は必須。それ以外の場合は省略する必要があります。
          title: Profile Id
        selection:
          enum:
            - none
            - profile
          title: Selection
          type: string
      required:
        - selection
      title: EnterpriseSecurityProfileDefaultSelection
      type: object
    EnterpriseSecurityProfileDefaultState:
      additionalProperties: false
      description: エンタープライズのデフォルト設定に対するバインドの参照用ビュー。
      properties:
        profile_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Profile Id
        selection:
          enum:
            - none
            - profile
          title: Selection
          type: string
      required:
        - selection
      title: EnterpriseSecurityProfileDefaultState
      type: object
  securitySchemes:
    bearerAuth:
      description: 'サービスユーザーの認証情報（接頭辞: cog_）'
      scheme: bearer
      type: http

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.